<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FibRgW97 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FibRgW97 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibRgW97.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FieldDescriptor.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibRgW97.html" target="_top">Frames</a></li>
        <li><a href="FibRgW97.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgW97AbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class FibRgW97" class="title">Class FibRgW97</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.FibRgW97AbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.FibRgW97</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">FibRgW97</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">FibRgW97AbstractType</a></pre>
                <div class="block">The FibRgW97 structure is a variable-length portion of the Fib.
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary
                        File Format Specification [*.doc] and [MS-DOC] - v20110608 Word
                        (.doc) Binary File Format
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgW97AbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibRgW97AbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_1_reserved1">field_1_reserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_10_reserved10">field_10_reserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_11_reserved11">field_11_reserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_12_reserved12">field_12_reserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_13_reserved13">field_13_reserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_14_lidFE">field_14_lidFE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_2_reserved2">field_2_reserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_3_reserved3">field_3_reserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_4_reserved4">field_4_reserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_5_reserved5">field_5_reserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_6_reserved6">field_6_reserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_7_reserved7">field_7_reserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_8_reserved8">field_8_reserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#field_9_reserved9">field_9_reserved9</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html#FibRgW97--">FibRgW97</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html#FibRgW97-byte:A-int-">FibRgW97</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgW97AbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibRgW97AbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getLidFE--">getLidFE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved1--">getReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved10--">getReserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved11--">getReserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved12--">getReserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved13--">getReserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved2--">getReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved3--">getReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved4--">getReserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved5--">getReserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved6--">getReserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved7--">getReserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved8--">getReserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getReserved9--">getReserved9</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setLidFE-short-">setLidFE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved1-short-">setReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved10-short-">setReserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved11-short-">setReserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved12-short-">setReserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved13-short-">setReserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved2-short-">setReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved3-short-">setReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved4-short-">setReserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved5-short-">setReserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved6-short-">setReserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved7-short-">setReserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved8-short-">setReserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#setReserved9-short-">setReserved9</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FibRgW97--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FibRgW97</h4>
                                <pre>public&nbsp;FibRgW97()</pre>
                            </li>
                        </ul>
                        <a name="FibRgW97-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FibRgW97</h4>
                                <pre>public&nbsp;FibRgW97(byte[]&nbsp;std,
                int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibRgW97.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FieldDescriptor.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibRgW97.html" target="_top">Frames</a></li>
        <li><a href="FibRgW97.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgW97AbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
